searchNodes=[{"doc":"A client for the Yapay Intermediador API.More information can be found on the yapay doc: http://dev.yapay.com.br/intermediador/apis.","ref":"ExYapay.html","title":"ExYapay","type":"module"},{"doc":"Creates a transaction via POST request to Yapay and return its checkout url.Examples iex&gt; attributes = %{account: %{token_account: &quot;3f3f2f0d347797b&quot;}, products: [ %{ code: 1, description: &quot;notebook&quot;, extra: nil, price_unit: 10, quantity: 1, sku: 123, url_img: &quot;some.product/url&quot; } ], reseller_token: &quot;a1w0l2l1231lpw0pa&quot;, shipping_price: 23.39, shipping_type: &quot;Correios SEDEX&quot;, url_notification: &quot;http://localhost:4003/notifications/status?site_id=123&amp;cart_id=445&quot; } iex&gt; ExYapay.create_transaction(attributes)","ref":"ExYapay.html#create_transaction/2","title":"ExYapay.create_transaction/2","type":"function"},{"doc":"Gets a transaction by token_account and token_transaction.Examples iex&gt; ExYapay.get_transaction(&quot;6f43694d9ec6057&quot;, &quot;9342ef911dd843e7a2fae4a41357727f&quot;) {:ok, %ExYapay.Resources.Transaction{ customer: %{ addresses: [ %{ city: &quot;Campo Grande&quot;, completion: &quot;&quot;, neighborhood: &quot;Centro&quot;, number: &quot;2434&quot;, postal_code: &quot;79002003&quot;, state: &quot;MS&quot;, street: &quot;Avenida Calógeras&quot; } ], cnpj: &quot;&quot;, company_name: &quot;&quot;, contacts: [%{type_contact: &quot;W&quot;, value: &quot;1135440444&quot;}], cpf: &quot;11122233388&quot;, email: &quot;example@example.com.br&quot;, name: &quot;Criador de Sites&quot;, trade_name: &quot;Criador de Sites&quot; }, free: &quot;|POST| |checkout|&quot;, order_number: &quot;1576009266&quot;, payment: %{ date_approval: 1576009320, date_payment: 1576009320, linha_digitavel: nil, payment_method_id: 4, payment_method_name: &quot;Mastercard&quot;, payment_response: &quot;Mensagem de venda fake&quot;, price_original: &quot;208.0&quot;, price_payment: &quot;216.33&quot;, split: 3, tid: &quot;1233&quot;, url_payment: nil }, refunds: [], status_id: 6, status_name: &quot;Aprovada&quot;, token_transaction: &quot;9342ef911dd843e7a2fae4a41357727f&quot;, transaction_id: 313439 }} iex&gt; ExYapay.get_transaction(&quot;6f43694d9ec6057&quot;, &quot;123&quot;) {:error, %{body: &quot;Transação não encontrada&quot;, status: 404}}","ref":"ExYapay.html#get_transaction/3","title":"ExYapay.get_transaction/3","type":"function"},{"doc":"","ref":"ExYapay.html#t:create_attributes/0","title":"ExYapay.create_attributes/0","type":"type"},{"doc":"This module executes HTTP Requests to the Yapay Intermediador API.","ref":"ExYapay.Client.Request.html","title":"ExYapay.Client.Request","type":"module"},{"doc":"Callback implementation for c:ExYapay.Client.get/2.","ref":"ExYapay.Client.Request.html#get/2","title":"ExYapay.Client.Request.get/2","type":"function"},{"doc":"Callback implementation for c:ExYapay.Client.post/3.","ref":"ExYapay.Client.Request.html#post/3","title":"ExYapay.Client.Request.post/3","type":"function"},{"doc":"This module builds the request body to create a transaction on Yapay.","ref":"ExYapay.Params.CreateTransaction.html","title":"ExYapay.Params.CreateTransaction","type":"module"},{"doc":"Callback implementation for c:ExYapay.Params.build/1.","ref":"ExYapay.Params.CreateTransaction.html#build/1","title":"ExYapay.Params.CreateTransaction.build/1","type":"function"},{"doc":"This module builds the query params to get a transaction on Yapay.","ref":"ExYapay.Params.GetTransaction.html","title":"ExYapay.Params.GetTransaction","type":"module"},{"doc":"Callback implementation for c:ExYapay.Params.build/1.","ref":"ExYapay.Params.GetTransaction.html#build/1","title":"ExYapay.Params.GetTransaction.build/1","type":"function"},{"doc":"This structure represents a Yapay transaction.","ref":"ExYapay.Resources.Transaction.html","title":"ExYapay.Resources.Transaction","type":"module"},{"doc":"","ref":"ExYapay.Resources.Transaction.html#t:t/0","title":"ExYapay.Resources.Transaction.t/0","type":"type"},{"doc":"This module provides functions to manage transactions on Yapay Intermediador API.More information about a Transaction can be found on the yapay docs:https://intermediador.dev.yapay.com.br/#/transacao-tabela-campos.https://intermediador.dev.yapay.com.br/#/integracao-post-criandohttps://intermediador.dev.yapay.com.br/#/api-consultar-transacao","ref":"ExYapay.Transaction.html","title":"ExYapay.Transaction","type":"module"},{"doc":"Creates a transaction and returns the checkout url.","ref":"ExYapay.Transaction.html#create/2","title":"ExYapay.Transaction.create/2","type":"function"},{"doc":"Gets a transaction by token_account and token_transaction.","ref":"ExYapay.Transaction.html#get/3","title":"ExYapay.Transaction.get/3","type":"function"},{"doc":"ExYapayElixir client that integrates with Yapay.","ref":"readme.html","title":"ExYapay","type":"extras"},{"doc":"def deps do [ {:ex_yapay, &quot;~&gt; 0.4.2&quot;} ] end","ref":"readme.html#installation","title":"ExYapay - Installation","type":"extras"},{"doc":"ConfigurationAdd the following config to your config.exs file:config :ex_yapay, base_url: System.get_env(&quot;YAPAY_URL&quot;) || &quot;https://intermediador.yapay.com.br&quot;, ibrowse_opts: [], timeout: 10000Create a TransactionThe function create_transaction expects a map containing an account and a list of products, like so:attributes = %{ account: %{token_account: &quot;3f3f2f0d347797b&quot;}, products: [ %{ code: 1, description: &quot;notebook&quot;, extra: nil, price_unit: 10, quantity: 1, sku: 123, url_img: &quot;https://some.product/url&quot; } ], reseller_token: &quot;a1w0l2l1231lpw0pa&quot;, shipping_price: 23.39, shipping_type: &quot;Correios SEDEX&quot;, url_notification: &quot;http://localhost:4003/notifications/status?site_id=123&amp;cart_id=445&quot; }In the struct described above, the mandatory values to start the process are token_account, description, price_unit and quantity. Values other than those can be nil, but their keys are required as well.In order to receive the checkout url, the only call to be made is:ExYapay.create_transaction(attributes)Which will return either:{:ok, &quot;some.checkout/url&quot;}Or{:error, %{body: 400, body: &quot;message the reflects what went wrong&quot;}}Get a TransactionThe function get_transaction expects the token_account and token_transaction:ExYapay.get_transaction(&quot;6f43694d9ec6057&quot;, &quot;9342ef911dd843e7a2fae4a41357727f&quot;) {:ok, %ExYapay.Resources.Transaction{ customer: %{ addresses: [ %{ city: &quot;Campo Grande&quot;, completion: &quot;&quot;, neighborhood: &quot;Centro&quot;, number: &quot;2434&quot;, postal_code: &quot;79002003&quot;, state: &quot;MS&quot;, street: &quot;Avenida Calógeras&quot; } ], cnpj: &quot;&quot;, company_name: &quot;&quot;, contacts: [%{type_contact: &quot;W&quot;, value: &quot;1135440444&quot;}], cpf: &quot;11122233388&quot;, email: &quot;your.email@example.com&quot;, name: &quot;Locaweb&quot;, trade_name: &quot;Locaweb&quot; }, free: &quot;|POST| |checkout|&quot;, order_number: &quot;1576009266&quot;, payment: %{ date_approval: 1576009320, date_payment: 1576009320, linha_digitavel: nil, payment_method_id: 4, payment_method_name: &quot;Mastercard&quot;, payment_response: &quot;Mensagem de venda fake&quot;, price_original: &quot;208.0&quot;, price_payment: &quot;216.33&quot;, split: 3, tid: &quot;1233&quot;, url_payment: nil }, refunds: [], status_id: 6, status_name: &quot;Aprovada&quot;, token_transaction: &quot;9342ef911dd843e7a2fae4a41357727f&quot;, transaction_id: 313439 }}If an error occurs, the answer will be as follows:ExYapay.get_transaction(&quot;6f43694d9ec6057&quot;, &quot;123&quot;) {:error, %{body: &quot;Transação não encontrada&quot;, status: 404}}","ref":"readme.html#usage","title":"ExYapay - Usage","type":"extras"},{"doc":"mix test","ref":"readme.html#running-tests","title":"ExYapay - Running tests","type":"extras"},{"doc":"mix format","ref":"readme.html#running-code-formatter","title":"ExYapay - Running code formatter","type":"extras"},{"doc":"Credo is a static code analysis tool for the Elixir language, to run credo:$ mix credo --strict","ref":"readme.html#credo","title":"ExYapay - Credo","type":"extras"},{"doc":"Check out the Contributing guide.","ref":"readme.html#contributing","title":"ExYapay - Contributing","type":"extras"},{"doc":"ExYapay is released under the MIT license. See the License file.","ref":"readme.html#license","title":"ExYapay - License","type":"extras"},{"doc":"MIT licenseCopyright (c) 2020 LocawebPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"ContributingWhen contributing to this repository, please first discuss the change you wish to make via issue, email, or any other method with the owners of this repository before making a change.Please note we have a code of conduct, please follow it in all your interactions with the project.","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"Ensure any install or build dependencies are removed before the end of the layer when doing a build. Update the README.md with details of changes to the interface, this includes new environment variables, exposed ports, useful file locations and container parameters. Increase the version numbers in any examples files and the README.md to the new version that this Pull Request would represent. The versioning scheme we use is SemVer. You may merge the Pull Request in once you have the sign-off of two other developers, or if you do not have permission to do that, you may request the second reviewer to merge it for you.","ref":"contributing.html#pull-request-process","title":"Contributing - Pull Request Process","type":"extras"},{"doc":"Our PledgeIn the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.Our StandardsExamples of behavior that contributes to creating a positive environment include:Using welcoming and inclusive language Being respectful of differing viewpoints and experiences Gracefully accepting constructive criticism Focusing on what is best for the community Showing empathy towards other community members Examples of unacceptable behavior by participants include:The use of sexualized language or imagery and unwelcome sexual attention or advances Trolling, insulting/derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or electronic address, without explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting Our Responsibilities Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior.Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.ScopeThis Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.EnforcementInstances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at [INSERT EMAIL ADDRESS]. All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately.Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.AttributionThis Code of Conduct is adapted from the Contributor Covenant, version 1.4, available at http://contributor-covenant.org/version/1/4","ref":"contributing.html#code-of-conduct","title":"Contributing - Code of Conduct","type":"extras"}]